namespace ImageConvertService.ExceptionHandling;

public class UserFriendlyException : Exception
{
    public string? Code { get; }

    public UserFriendlyException(string message, string? code = null) : base(message)
    {
        Code = code;
    }

    public UserFriendlyException(string message, string code, Exception innerException) : base(message, innerException)
    {
        Code = code;
    }

    public UserFriendlyException(string message, Exception innerException)
        : base(message, innerException)
    {
    }
}